# Plot 2 - Histograms

variable = d$bedloadTransport.cm2_min

index = 1:n_experiments
yv = variable
yv[] = NA
xv = d$experiment
par(mar = c(5,5,4,4))
plot(yv ~ xv, log = 'x', ylim = c(0.1, 100), horizontal = T,
     yaxt = 'n', xaxt = 'n', 
     xlab = 'Sediment shell content (%)',
     ylab = 'Ripple Height (cm)')
#ylab = expression('Ripple Heigt (cm'^2*')'))
axis(side = 1, at = 10^seq(-10,10,1), labels = 10^seq(-10,10,1))
axis(side = 2, at = 1:n_experiments, labels = shellContentLabel, tick = F)
mean = sd = se = rep(NA, times = n_experiments)
for(i in 1:n_experiments){
  
  filter = d$experiment == levels(d$experiment)[i] & d$photoNumber > 300
  breaks = seq(-20,10,0.03)
  y = hist(log(variable)[filter], breaks = breaks, plot = F)$density*0.5
  x = hist(log(variable)[filter], breaks = breaks, plot = F)$mids
  
  rect(ytop = y + index[i] - 0.37, ybottom = index[i] - 0.37, xright = exp(x - diff(breaks)/2), xleft = exp(x + diff(breaks)/2), col = alpha(col[index[i]], 0.7), lty = 0)
  
  mean[i] = mean(variable[filter])
  sd[i] = sd(variable[filter])
  se[i] = sd/sqrt(length(variable[filter]))
  
  lines(y = c(index[i]+0.05 - 0.4,index[i] + 0.8 - 0.4), x = c(mean[i],mean[i]), col = alpha(col[index[i]], 1), lwd = 3)
}

# Plot 1 - Regression
plot(mean ~ shellContentLabel, log = 'y', pch = 21, bg = col, #xaxt = 'n',
     ylab = 'Ripple Height (cm)', xlab = 'Shell content (%)')
m = lm(log(mean) ~ shellContentLabel)
summary(m)
a = m$coefficients[1]
b = m$coefficients[2]
xv = seq(min(shellContentLabel), max(shellContentLabel), length.out = 1000)
yv = exp(a + b*xv)
lines(yv ~ xv, lty = 2, col = 'grey', lwd = 2)
text(x = 25, y = 1.5, expression('(F'['1,4']*'= 19.16, R'^2*'= 0.784, n = 6, p < 0.0001)'))
text(x = 25, y = 0.27, expression('Ripple height = 1.78 * e'^' -0.04 * Shell content (%)'))

summary(m)
print(paste(round(mean[1],2),'±', round(se[1],4)))
print(paste(round(mean[6],2),'±', round(se[6],4)))

