# ---------------------------------------
#constant flow experiment rasters plots

shellcontent = c(0,5,10,15,15.2,20,50)
for(i in 1:7){
  setwd('SET_TO_CORRECT_DIRECTORY_PATH')
  dir()[i]
  load(dir()[i])
  tiff(filename = paste(shellcontent[i],'_Shell.tiff', sep = ''), width = 20, height = 20, units = 'cm', res = 300)
  plot(raster(M), col = viridis(1000), box = F, axes = F, main = paste(shellcontent[i], ' % Shell',sep = ''), zlim = c(-4,4))
  axis(side = 1, at = seq(0,1,length.out = 5), label = seq(0,280,length.out = 5), cex.axis = 1.1)
  axis(side = 1, at = 0.5, label = 'Run time (minutes)', line = 1.5, tick = F, cex.axis = 1.2)
  axis(side = 2, at = seq(0,1,length.out = 3), label = seq(70,0,length.out = 3), cex.axis = 1.1)
  axis(side = 2, at = 0.5, label = 'Position in channel (cm)', line = 1.5, tick = F, cex.axis = 1.2)
  axis(side = 4, at = 0.85, line = 0, las = 2, tick = F, cex.axis = 1.2, 'Sediment')
  axis(side = 4, at = 0.8, line = -0.3, las = 2, tick = F, cex.axis = 1.2, 'height (cm)')
  setwd('SET_TO_CORRECT_DIRECTORY_PATH')
  dev.off()
}

# ---------------------------------------
#Chiu supplementary figures (time series)
# rippleParam = d$rippleHeight_t0.cm
# rippleParam = d$rippleLength_t0.cm
rippleParam = d$migration.cm_min

n_exps = length(levels(d$experiment))
col = viridis(n_exps)

tiff(filename = 'Ripple Migration time series.tiff', width = 20, height = 15, units = 'cm', res = 300)
par(mar = c(5,5,4,4))
plot(c(1), type = 'n', ylim = c(0.001,max(rippleParam)), xlim = c(0,275), 
     # ylab = 'Ripple Height (cm)', 
     ylab = expression('Ripple Migration Rate (cm min'^-1*')'), 
     xlab = 'Time (minutes)')
legend('topleft', legend = c(0,5,10,15,20,50), title = '  Shell content (%)', bty = 'n',fill = col)
for(i_exp in n_exps:1){
  filter = d$experiment == levels(d$experiment)[i_exp]
  #points(rippleParam[filter] ~ d$time.minutes[filter], pch = '.', col = alpha(col[i_exp],0.3))
  
  y = as.numeric(tapply(rippleParam[filter], d$time.minutes[filter], mean))
  x = sort(unique(d$time.minutes[filter]))
  lines(y ~ x,lwd = 1, col = col[i_exp])
}
setwd('SET_TO_CORRECT_DIRECTORY_PATH')
dev.off()
